#!/usr/bin/python
#note, columns in 'output.txt' as follows: pi	ss	D	thetaH	H
import math 
import random
import os

#draws from the prior distribution 
Priorsize = 100000

Counter = 0

#number of total samples in the data set
Nsam_Campy = 47

#populations as follows - always numbered Inland = 1, Coastal = 2
#sample sizes for Campy
#Inland = 17
#Coastal = 30


#while loop iterates draws from the prior for this model
while Counter <= Priorsize:
	Model = random.randint(0,2)
	ThetaAncestral = random.uniform(0.1, 10)
	

	#Divergence time is modeled in 4No generation
	DivergenceTime = random.uniform(.1, 3)
	DivergenceTime_AV = random.uniform(1, 30)

	MigrationRate = random.uniform(1,10)
	MigrationRate_Inland = random.uniform(1,10)
	MigrationRate_Coastal = random.uniform(1,10)

	
	if Model == 1:	
	# migration coastal to inland
		os.system("./ms %s 1 -t %f -I 2 17 30 -m 1 2 0 -m 2 1 %f -ej %f 1 2| ./msSS.pl >> campy.output.txt" % (Nsam_Campy, ThetaAncestral, MigrationRate_Coastal, DivergenceTime))
		print '%s\t%f\t%f\tNA\tNA\t%f' % (Model, ThetaAncestral, DivergenceTime, MigrationRate_Coastal)
		Counter += 1
	
	elif Model == 2:
	# ancient vicariance
		os.system("./ms %s 1 -t %f -I 2 17 30 -ej %f 1 2| ./msSS.pl >> campy.output.txt" % (Nsam_Campy, ThetaAncestral, DivergenceTime_AV))
		print '%s\t%f\t%f\tNA\tNA\tNA' % (Model, ThetaAncestral, DivergenceTime_AV)
		Counter += 1
